> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 현재 요금제 받기

> 계정의 현재 청구 계획을 반환합니다.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json GET /v1/public/accounts/{account_id}/billing/current-plan
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/current-plan:
    get:
      tags:
        - public-accounts
        - public-billing
      summary: 현재 요금제 받기
      description: 계정의 현재 청구 계획을 반환합니다.
      operationId: >-
        get_public_current_plan_v1_public_accounts__account_id__billing_current_plan_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicCurrentPlanResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicCurrentPlanResponse:
      properties:
        billing_period:
          description: 현재 요금제의 청구 기간
          title: 청구기간
          type: string
        can_cancel_plan:
          default: false
          description: 계획을 취소할 수 있는지 여부
          title: 계획을 취소할 수 있음
          type: boolean
        can_change_plan:
          default: false
          description: 계획을 변경할 수 있는지 여부
          title: 계획 변경 가능
          type: boolean
        currency:
          description: 청구 통화 코드
          title: 통화
          type: string
        plan_id:
          description: 현재 요금제 ID
          title: 플랜 Id
          type: string
        plan_name:
          description: 현재 요금제 이름
          title: 계획 이름
          type: string
        price:
          description: 현재 요금제 가격
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: 가격
          type: string
        status:
          description: 현재 계획 상태
          title: 상태
          type: string
      required:
        - plan_id
        - plan_name
        - billing_period
        - price
        - currency
        - status
      title: PublicCurrentPlanResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````